Subject: Re: bug#22550: (require 'magit) produces error: "no such file or directory" "dash"

From: myglc2 <[email-masked]>
Date: Wed, 09 Mar 2016 09:47:11 -0500

Alex Kost <[email-masked]> writes:

> myglc2 (2016-03-08 16:49 +0300) wrote:
>
>> Alex Kost <[email-masked]> writes:
>>
>>> myglc2 (2016-03-07 23:03 +0300) wrote:
>>>
> [...]
>>>> I re-read your earlier posts. AIUI now, in order to use the latest guix
>>>> emacs features from 'git checkout master' one must add to emacs init:
>>>>
>>>> (let ((dir "~/src/guix/emacs"))
>>>>   (add-to-list 'load-path dir)
>>>>   (setq guix-load-path dir)
>>>>   (require 'guix-init nil t))
>>>
>>> Yes, this is the recommended way of setting it up.  It is described in
>>> (info "(guix) Emacs Initial Setup").
>>>
>>>> Do you think we should we add that to (info "(guix) Building from Git") ? 
>>>
>>> Since it is already described in the other section, it shouldn't be
>>> duplicated, but we can add a cross reference, not into "Building from
>>> Git" though, maybe to (info "(guix) The Perfect Setup")
>>
>> Then you need to also fix the intro paragraph which says (emphasis
>> added):
>
> I don't agree, this intro paragraph is (should be in theory) correct.
>
>> "On the Guix System Distribution (*note GNU Distribution::), “guix.el”
>> is ready to use [...] So [...] you can happily SKIP THIS SECTION [...]"
>>
>> Since I am using GuixSD I have always skipped this section.  That is why
>> you have had to explain this twice to me.
>
> It's just that no one tried to use system profile for adding emacs
> packages before you, but this case will be handled in the next release,
> so I think this part of the manual shouldn't be changed.

You are are assuming that I am running emacs in the system
profile. Meanwhile "tricky george" stopped trying to swim upstream and
installed emacs in the user profile :O. Based on running both ways I
still believe this needs attention.  But I am badly off the topic of the
original bug so I will put it in a new post.

I do apologize for the run-around. Many thanks! - George